#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libyang
Version		:	2.1.148
Release		:	17.2.0.rel%{?dist}
Summary		:	YANG data modeling language library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD-3-Clause
URL		:	https://github.com/CESNET/libyang

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	bison
BuildRequires	:	cmake
BuildRequires	:	flex
BuildRequires	:	gcc
BuildRequires	:	swig
BuildRequires	:	valgrind
BuildRequires	:	python3
BuildRequires	:	pcre

#-----------------------------------------------------------------------------
%description
Libyang is YANG data modeling language parser and toolkit
written (and providing API) in C.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%{_libdir}/%{name}.so.*
%{_datadir}/yang/modules/%{name}/ietf-*.yang
%{_datadir}/yang/modules/%{name}/yang@2022-06-16.yang

#=============================================================================
%package		devel
Summary		:	Development files for libyang

#-----------------------------------------------------------------------------
Requires	:	%{name}		=	%{version}-%{release}
Requires	:	pcre

#-----------------------------------------------------------------------------
%description		devel
Development files for libyang

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		tools
Summary		:	YANG validator tools

#-----------------------------------------------------------------------------
Requires	:	%{name}		=	%{version}-%{release}

#-----------------------------------------------------------------------------
%description		tools
YANG validator tools.

#-----------------------------------------------------------------------------
%files			tools
%defattr(-,root,root,-)
%{_bindir}/yanglint
%{_bindir}/yangre
%{_datadir}/man/man1/yanglint.1.gz
%{_datadir}/man/man1/yangre.1.gz

#=============================================================================
%prep
%setup -q
%{__mkdir_p} build

#-----------------------------------------------------------------------------
#building application
%build
pushd build

cmake  						\
	-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}	\
	-DCMAKE_INSTALL_LIBDIR:PATH=lib		\
	-DCMAKE_BUILD_TYPE:String="Release"	\
	-DENABLE_LYD_PRIV=ON			\
	-DGEN_JAVA_BINDINGS=OFF			\
	-DGEN_JAVASCRIPT_BINDINGS=OFF		\
	-DGEN_LANGUAGE_BINDINGS=ON		\
	-DENABLE_VALGRIND_TESTS=OFF		\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C build					\
	DESTDIR=%{buildroot}				\
	install


#-----------------------------------------------------------------------------
%changelog
